<?php

namespace Ems\Repository;

use Doctrine\ORM\EntityManager;

class ReconhecimentoFacialRepository{
    protected $entityManager;
    protected $connection;

    public function __construct(
        EntityManager $entityManager
    ){
        $this->connection = $entityManager->getConnection();
    }

    public function saveHashFacial(array $params) {
        $sql = <<<SQL
            UPDATE PARCNEGOCIO SET HASHFACIAL = :P_HASHFACIAL
            WHERE NRPARCNEGOCIO = :P_NRPARCNEGOCIO 
            AND NRORG = :P_NRORG
SQL;

        $std = $this->connection->prepare($sql);
        $result = $std->execute($params);
        
        return $result;
    }
}